commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Alerts

# Documentation

alertSpec :: forall (m :: Type -> Type) il bl. (Monad m, Typeable m, IsBlock il bl, IsInline il, Typeable il, Typeable bl, HasAlerts il bl) => SyntaxSpec m il bl Source #

alertSvgText :: AlertType -> Text Source #

alertClass :: AlertType -> Text Source #

alertName :: AlertType -> Text Source #

data AlertType Source #

Constructors

NoteAlert |
TipAlert |
ImportantAlert |
WarningAlert |
CautionAlert |

#### Instances

Instances details

Show AlertType Source # |
Instance details Defined in Commonmark.Extensions.Alerts Methods showsPrec :: Int -> AlertType -> ShowS Source # show :: AlertType -> String Source # showList :: [AlertType] -> ShowS Source #
Eq AlertType Source # |
Instance details Defined in Commonmark.Extensions.Alerts Methods (==) :: AlertType -> AlertType -> Bool Source # (/=) :: AlertType -> AlertType -> Bool Source #
Ord AlertType Source # |

Instance details

Defined in Commonmark.Extensions.Alerts

Methods

compare :: AlertType -> AlertType -> Ordering Source #

(<) :: AlertType -> AlertType -> Bool Source #

(<=) :: AlertType -> AlertType -> Bool Source #

(>) :: AlertType -> AlertType -> Bool Source #

(>=) :: AlertType -> AlertType -> Bool Source #

max :: AlertType -> AlertType -> AlertType Source #

min :: AlertType -> AlertType -> AlertType Source #

class IsBlock il bl => HasAlerts il bl | il -> bl where Source #

Methods

alert :: AlertType -> bl -> bl Source #

#### Instances

Instances details

Rangeable (Html a) => HasAlerts (Html a) (Html a) Source # |
Instance details Defined in Commonmark.Extensions.Alerts Methods alert :: AlertType -> Html a -> Html a Source #
(HasAlerts il bl, Semigroup bl, Semigroup il) => HasAlerts (WithSourceMap il) (WithSourceMap bl) Source # |
Instance details Defined in Commonmark.Extensions.Alerts Methods alert :: AlertType -> WithSourceMap bl -> WithSourceMap bl Source #